 /*
  * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
  * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */
/*
 * $Id: UseEntityManager.java 62592 2011-04-20 20:07:16Z kgrucci $
 */

package com.sun.ts.tests.common.vehicle.ejb3share;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;

public interface UseEntityManager {
    public void setEntityManager(EntityManager em);
    public EntityManager getEntityManager();
    
    public void setEntityTransaction(EntityTransaction entityTransaction);
    public EntityTransaction getEntityTransaction();
    
    public void setInContainer(boolean inContainer);
    public boolean isInContainer();
    
}
